
# --- Set metallicity shortcut ---
export MET='mminf'
export GASEOS='eos'
echo 'Metallicity' ${MET}

export EOSNAME=${GASEOS}_${MET}_la

echo '--- Transform double precision reals to single precision in ASCII file ---'
uiocat ${EOSNAME}_linuxr8.eos | sed -e "s/b=8 /b=4 /" > ${EOSNAME}_linuxr4.eos

echo '--- Change format from formatted (ASCII) to unformatted (binary) ---'
uiocat -f unformatted -o ${EOSNAME}.eos ${EOSNAME}_linuxr4.eos
