
# --- Set metallicity shortcut ---
export MET='cifist2006_m05_a02_l5'
export GASEOS='gas'
echo 'Metallicity' ${MET}

export EOSNAME=${GASEOS}_${MET}

echo '--- Transform double precision reals to single precision in ASCII file ---'
uiocat ${EOSNAME}_linuxr8.eos | sed -e "s/b=8 /b=4 /" > ${EOSNAME}_linuxr4.eos

echo '--- Change format from formatted (ASCII) to unformatted (binary) ---'
uiocat -f unformatted -o ${EOSNAME}.eos ${EOSNAME}_linuxr4.eos
