# --- Set metallicity shortcut ---
#export MET='cifist2006_m40_a04_l5'
#export GASEOS='gas'
#export MET='cifist2006_m40_a04_l5'
#export GASEOS='eos'
export MET='mm00_l6'
export GASEOS='eos'
echo 'Metallicity' ${MET}

export EOSNAME=${GASEOS}_${MET}

mkdir -p dat ddat

echo '--- Change format from formatted (ASCII) to unformatted (binary): 8 byte ---'
uiocat -f unformatted -o ddat/${EOSNAME}.eos ${EOSNAME}_intelr8.eos

echo '--- Transform double precision reals to single precision in ASCII file ---'
uiocat ${EOSNAME}_intelr8.eos | sed -e "s/b=8 /b=4 /" > ${EOSNAME}_intelr4.eos

echo '--- Change format from formatted (ASCII) to unformatted (binary): 4 byte ---'
uiocat -f unformatted -o dat/${EOSNAME}.eos ${EOSNAME}_intelr4.eos
