C----------------------------------------------------------------------
C File  :    CHPAR_CT.FOR
C Autor :    Susanne Hoefner
C Datum :    19.9.91                  letzte Aenderung : 2.10.91 
C
C Verwendungszweck :
C     
C     INCLUDE-file mit den Parametern fuer die C-reiche Chemie
C......................................................................
C
C  Parameter :
C
C.......................................................................
C
C  verwendete Unterprogramme :
C     *** keine ***
C.......................................................................
C
C  weitere Kommentare :
C
C     Belegt die Indexwerte fuer die SCRATCH-Vektoren zur
C     leichteren Handhabung der Chemie 
C
C-----------------------------------------------------------------------
C
      INTEGER
     #   IPC2,IC2P,IC2D,IC2T,IPC2H,IC2HP,IC2HD,IC2HT,IPC2H2,IC2H2P,
     #   IC2H2D,IC2H2T,
     #   IPP1,IDPP1P,IDPP1D,IDPP1T,IPP2,IDPP2P,IDPP2D,IDPP2T,
     #   IDPP1S,IDPP2S,
     #   KH2,KH2T,KH2S,KC2,KC2T,KC2S,KC2H,KC2HT,KC2HS,
     #   KC2H2,KC2H2T,KC2H2S
C
C     Parameter fuer Chemie und eff. Partialdruecke
C
      PARAMETER ( IPC2   =  1, IC2P   =  2, IC2D   =  3, IC2T   =  4,
     #            IPC2H  =  5, IC2HP  =  6, IC2HD  =  7, IC2HT  =  8,
     #            IPC2H2 =  9, IC2H2P = 10, IC2H2D = 11, IC2H2T = 12 )
C
      PARAMETER ( IPP1   = 13, IDPP1P = 14, IDPP1D = 15, IDPP1T = 16,
     #            IPP2   = 17, IDPP2P = 18, IDPP2D = 19, IDPP2T = 20 )
      PARAMETER ( IDPP1S = 21, IDPP2S = 22 )
C
C     Parameter fuer die DK's bzw. AB-Koeff.
C
      PARAMETER ( KH2    = 23, KH2T   = 24, KH2S   = 25,
     #            KC2    = 26, KC2T   = 27, KC2S   = 28,
     #            KC2H   = 29, KC2HT  = 30, KC2HS  = 31,
     #            KC2H2  = 32, KC2H2T = 33, KC2H2S = 34 )
C
