pro opta_info, nband=nband0, nbin=nbin, nt=nt0, np=np0
;------------------------------------------------------------------------------
;+
; NAME:
;   opta_info ('opacity_table_information')
;
; PURPOSE:
;   Get information about current opacity table
;
; CATEGORY:
;   Opacities, Interpolation
;
; CALLING SEQUENCE:
;   opta_info, nbin=nbin, nt=nt, np=np
;
; INPUT:
;   None
;
; OUTPUT:
;
; KEYWORDS (OUPUT):
;
; COMMON BLOCKS:
;   opta_common
;
; ROUTINES:
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   2009-10-30 (B.F. Lyon)
;-
;------------------------------------------------------------------------------

common opta_common

nband0=nband
nbin=nband
nt0=nt
np0=np

end ; opta_info
