nc_p=-1
file='rhd.sta'
form='formatted'
conv=''
;
version='rhd_wrboxdata_test 1999.25.03'
description=['RHD test data ', strtrim(systime(0),2)]
ndes=2
history=['Produced by rhd_wrboxdata_test.pro '+strtrim(systime(0),2)]
nhis=1
;
unit_time='s'
unit_x1='cm'
unit_x2=unit_x1
unit_x3=unit_x1
unit_rho='g/cm^3'
unit_v='cm/s'
unit_e='erg/g'
;
m1=1
n1=100
m2=1
n2=1
m3=1
n3=1
;
ntime=0
time =0.0
;
xfac=1e5
xc1=xfac*(findgen(n1-m1+1)+float(m1))
xc2=xfac*(findgen(n2-m2+1)+float(m2))
xc3=xfac*(findgen(n3-m3+1)+float(m3))
xb1=xfac*(findgen(n1-m1+2)+float(m1)-0.5)
xb2=xfac*(findgen(n2-m2+2)+float(m2)-0.5)
xb3=xfac*(findgen(n3-m3+2)+float(m3)-0.5)
;
rho=replicate(1e-6,n1-m1+1,n2-m2+1,n3-m3+1)
v1 =replicate(0.0, n1-m1+1,n2-m2+1,n3-m3+1)
v2 =   fltarr(     n1-m1+1,n2-m2+1,n3-m3+1)
v3 =   fltarr(     n1-m1+1,n2-m2+1,n3-m3+1)
ei=replicate(1e+8,n1-m1+1,n2-m2+1,n3-m3+1)
rho=reform(rho,n1-m1+1,n2-m2+1,n3-m3+1)
v1 =reform(v1 ,n1-m1+1,n2-m2+1,n3-m3+1)
v2 =reform(v2 ,n1-m1+1,n2-m2+1,n3-m3+1)
v3 =reform(v3 ,n1-m1+1,n2-m2+1,n3-m3+1)
ei =reform(ei ,n1-m1+1,n2-m2+1,n3-m3+1)
;
rhd_wrboxdata, 'open,model,box,endmo,close', $
                   nc_p, ncout, file=file, form=form, conv=conv, $
                   ndes=ndes, description=description, $
                   nhis=nhis, history=history, $
                   version=version, $
                   unit_time=unit_time, $
                   unit_x1=unit_x1, unit_x2=unit_x2, unit_x3=unit_x3, $
                   unit_rho=unit_rho, unit_v=unit_v, unit_e=unit_e, $
                   m1=m1, m2=m2, m3=m3, n1=n1, n2=n2, n3=n3, $
                   itime=itime, time=time, $
                   xc1=xc1, xc2=xc2, xc3=xc3, xb1=xb1, xb2=xb2, xb3=xb3, $
                   rho=rho, v1=v1, v2=v2, v3=v3, ei=ei
