; pro fufi_init
;
;------------------------------------------------------------------------------
;+
; NAME:
;   FUFI_INIT (FUnction_FInd_INITialize)
;
; PURPOSE:
;   Compile functions and procedures for FUNCTIONDIND in recommended order.
;
; CATEGORY:
;   Curve fitting
;
; CALLING SEQUENCE:
;   @fufi_init
;
; INPUTS:
;   None
;
; OUTPUTS:
;   None
;
; KEYWORDS:
;   None
;
; COMMON BLOCKS:
;   None
;
; ROUTINES:
;   None
;
; SIDE EFFECTS:
;   Functions and procedures are compiled.
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;   @fufi_init
;
; MODIFICATION HISTORY:
;  13. 9.95 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
.run funct_string
.run fufi_ind2str
.run fufi_insert
.run fufi_actind
.run fufi_curvefit
.run fufi_func
.run fufi_dfunc
.run fufi_calldfpmin
.run fufi_wrfu
.run fufi_recur
.run fufi_termdef1d
.run fufi_termdef2d
.run functionfind
;
; end ; fufi_init
