; pro rdtab_demo
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rdtab_demo
;
; PURPOSE:
;   Read array, demo
;
; CATEGORY:
;
; CALLING SEQUENCE:
;   @rdtab_demo
;
; INPUTS:
;
; OUTPUTS:
;
; KEYWORDS:
;
; COMMON BLOCKS:
;
; ROUTINES:
;   rdtab
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; PROCEDURE:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;   12. 5.98 Written by Bernd Freytag, Astrophysik Kiel
;-
;------------------------------------------------------------------------------
;
; --- Define file name ---
;disk    ='/astrotmp1/supas024/dL71D09/'
;filename=disk + 'L71D09_f15_p_j82.dat'
disk    ='/astrotmp1/supas024/rhov/'
filename=disk + 'gt57g44n6_f15_rhov_mean.txt'
;
; --- Read array ---
rdtab, filename, tab
;
; --- Extract time, horizontal axis, and quantity ---
time=reform(tab(0  ,1:*))
x   =reform(tab(1:*,0  ))
q   =       tab(1:*,1:*)
;
help, tab, time, x, q
;
; --- Make plot of complete array ---
tvim, q
;
; end ; rdtab_demo
