


OpaRawFiles='kapnu_solabu_h2obt2_p[123]' & OpSRawFiles='' & OpaSavFile='coma_kapnu_solabu_h2obt_01.sav' & OpSSavFile='coma_kapsc_solabu_01.sav'












if (OpSSavFile ne '') then begin &$
  restore, OpSSavFile, /verbose &$
  kappaSc=temporary(kappanu) &$
endif

restore, OpaSavFile, /verbose
kappaAb=kappanu
if (OpSSavFile ne '') then begin &$
  kappanu=kappanu+kappaSc &$
endif




model='mt28g50mm00n04'  & m1=60 & n1=-10





restore, model + '_seq_0.sav'
mtime=0
T1D  =(seqavg('T'  , seq, mtime=mtime, units='cgs'))[m1:n1]
P1D  =(seqavg('P'  , seq, mtime=mtime, units='cgs'))[m1:n1]
rho1D=(seqavg('rho', seq, mtime=mtime, units='cgs'))[m1:n1]
x1D  =(seqavg('xc' , seq, mtime=mtime, units='cgs'))[m1:n1]
kappaavg1D=(seqavg('kappa', seq, mtime=mtime, units='cgs'))[m1:n1]
par=seq.par
















































opadisk=getenv('HOME') + '/for/opa/dat/'



if (n_elements(EOS) eq 0) then begin &$
  
  if (par.opafile ne '') then begin &$

    rdopta, opadisk + par.opafile, opadat &$
    opa=1 &$
  endif else begin &$
    opa=0 &$
  endelse &$
endif
kappa1D=xkaros(P1D, T1D, 0)


































































opac_com, Pt=P, Tt=T, kappaPlan=kappaPlan, kappaRoss=kappaRoss, kappanu=kappanu, nu=nu, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, strat=sAll







qmin   =min((sAll.tauintnu-1.0)^2, itau, dim=1)
itau   =(itau mod n_elements(sAll.tauintnu[*,0]))/2
logtau1=alog10(reform(sAll.all.tau[itau,4]))




mask   =(logtau1 lt -3.5) and (logtau1 ge -14.9)





















print, 'total(mask)=', total(mask)


.run opac_com



opac_com, Pt=P, Tt=T, kappaPlan=kappaPlan, kappaRoss=kappaRoss, kappanu=kappanu, nu=nu, mask=mask, x1D=x1D, T1D=T1D, P1D=P1D, rho1D=rho1D, strat=s



opa={ $
  nT:     n_elements(T), $
  nP:     n_elements(P), $
  tabT:   alog10(T), $
  tabP:   alog10(P), $
  xopta:  alog10(float(s.kappaross))}

kappaRoss1D=cmopta(P1D, T1D, 0, opta=opa)

sEOS={ $
  head: { $
    variables:     'lnP,lnT->lnrho', $
    interpolation: 'bicubic_direct' $
        }, $
  box: { $
    nx1:    n_elements(P), $
    nx2:    n_elements(T), $
    lnx11d: alog(P), $
    lnx21d: alog(T), $
    Ct:     alog(transpose(rho)) $
       } $
     }

gasinter, P1D, T1D, rho1DEOS, EOS=sEOS








lc=[!ctv.white,!ctv.gray,!ctv.white,!ctv.yellow,!ctv.blue,!ctv.red,!ctv.magenta,!ctv.green,!ctv.cyan,!ctv.orange]
IndcList=[0,2,4,7,8,9,12,21,23,24]
nlc=n_elements(lc)
ntau=n_elements(s.all.tau[*,0])




!p.multi=[0,2,0,0,0]
plotlines, alog10(sAll.all.tau[*,4]), alog10(s.all.kappa[*,IndcList]), linecol=lc
legend, s.all.names[IndcList], color=lc, linestyle=[0], xAli=0, yAli=0.97, charsize=!P.CHARSIZE*1.2, box=0, margin=0.1, spacing=1.8, pspacing=2
plotlines, alog10(sAll.all.tau[*,4]), (s.all.diintu[*,IndcList]-rebin(s.all.diintu[*,8],ntau,nlc))/rebin(reform(s.in1d.rho,ntau,1),ntau,nlc), linecol=lc, drange=[-25.0,10.0]*1e9*0
plotlines, alog10(sAll.all.tau[*,4]), (s.all.diintd[*,IndcList]-rebin(s.all.diintd[*,9],ntau,nlc))/rebin(reform(s.in1d.rho,ntau,1),ntau,nlc), linecol=lc, linestyle=2, /over
!p.multi=0



