; pro rhd_plotshock_allsod
;
;------------------------------------------------------------------------------
;+
; NAME:
;   rhd_plotshock_allsod ('rhd_plot_shock_all_sod')
;
; PURPOSE:
;   Plot HD-quantities from RHD simulation and analytical solution
;
; CATEGORY:
;   Hydrodynamics, Plotting
;
; CALLING SEQUENCE:
;   @rhd_plotshock_allsod
;
; MODIFICATION HISTORY:
;   2011-07-13 (B.F. Lyon)
;-
;------------------------------------------------------------------------------
;
external_control=1

; --- Choose plot device ---
dev='ps' &$
;dev='x' &$
png_flag=0 &$
jpg_flag=0 &$
;
; --- Directories ---
rhd_dir='/home/bf/dat/job/j4/bak/' &$
ashock_dir=getenv('HOME') + '/co5bold/resources/crow/for/hd/shock/sun/' &$
;
; --- Problems ---
funct='sod' &$
;
; --- Models ---
reverse_flag=0 & shift_flag=0 &$
modelident='_1' &$

; --- All plots ---
model='d1tst' + funct + '01n001'
@rhd_plotshock

model='d1tst' + funct + '01n002'
@rhd_plotshock

model='d1tst' + funct + '01n003'
@rhd_plotshock

model='d1tst' + funct + '01n004'
@rhd_plotshock

model='d1tst' + funct + '01n005'
@rhd_plotshock

model='d1tst' + funct + '01n006'
@rhd_plotshock

model='d1tst' + funct + '01n007'
@rhd_plotshock

model='d1tst' + funct + '01n008'
@rhd_plotshock


model='d1tst' + funct + '01n011'
@rhd_plotshock

model='d1tst' + funct + '01n012'
@rhd_plotshock

model='d1tst' + funct + '01n013'
@rhd_plotshock

model='d1tst' + funct + '01n014'
@rhd_plotshock

model='d1tst' + funct + '01n015'
@rhd_plotshock

model='d1tst' + funct + '01n016'
@rhd_plotshock

model='d1tst' + funct + '01n017'
@rhd_plotshock

model='d1tst' + funct + '01n018'
@rhd_plotshock


model='d1tst' + funct + '01n021'
@rhd_plotshock

model='d1tst' + funct + '01n022'
@rhd_plotshock

model='d1tst' + funct + '01n023'
@rhd_plotshock

model='d1tst' + funct + '01n024'
@rhd_plotshock

model='d1tst' + funct + '01n025'
@rhd_plotshock

model='d1tst' + funct + '01n026'
@rhd_plotshock

model='d1tst' + funct + '01n027'
@rhd_plotshock

model='d1tst' + funct + '01n028'
@rhd_plotshock


model='d1tst' + funct + '01n031'
@rhd_plotshock

model='d1tst' + funct + '01n032'
@rhd_plotshock

model='d1tst' + funct + '01n033'
@rhd_plotshock

model='d1tst' + funct + '01n034'
@rhd_plotshock

model='d1tst' + funct + '01n035'
@rhd_plotshock


model='d1tst' + funct + '01n041'
@rhd_plotshock

model='d1tst' + funct + '01n042'
@rhd_plotshock

model='d1tst' + funct + '01n043'
@rhd_plotshock

model='d1tst' + funct + '01n044'
@rhd_plotshock

model='d1tst' + funct + '01n045'
@rhd_plotshock


model='d1tst' + funct + '01n051'
@rhd_plotshock

model='d1tst' + funct + '01n052'
@rhd_plotshock

model='d1tst' + funct + '01n053'
@rhd_plotshock

model='d1tst' + funct + '01n054'
@rhd_plotshock

model='d1tst' + funct + '01n055'
@rhd_plotshock


model='d1tst' + funct + '01n061'
@rhd_plotshock

model='d1tst' + funct + '01n062'
@rhd_plotshock

model='d1tst' + funct + '01n063'
@rhd_plotshock

model='d1tst' + funct + '01n064'
@rhd_plotshock

model='d1tst' + funct + '01n065'
@rhd_plotshock


model='d1tst' + funct + '01n071'
@rhd_plotshock

model='d1tst' + funct + '01n072'
@rhd_plotshock

model='d1tst' + funct + '01n073'
@rhd_plotshock

model='d1tst' + funct + '01n074'
@rhd_plotshock

model='d1tst' + funct + '01n075'
@rhd_plotshock


model='d1tst' + funct + '01n081'
@rhd_plotshock

model='d1tst' + funct + '01n082'
@rhd_plotshock

model='d1tst' + funct + '01n083'
@rhd_plotshock

model='d1tst' + funct + '01n084'
@rhd_plotshock

model='d1tst' + funct + '01n085'
@rhd_plotshock


external_control=0
