conv='' & wfilename='uiotestfile.txt' & form='formatted'
;conv='ieee_4' & wfilename='uiotestfile_'+conv+'.dat' & form='unformatted'
rfilename=wfilename
;rfilename='uiotestfile.txt'
;
; === Write file ===
;
print, 'uio_openwr -----------------------------------------------------------'
uio_openwr, nc,wfilename, outstr,ierr, progrm='uio_wr_test', form=form,conv=conv
help, outstr, ierr
;
print, 'uio_wrlabl -----------------------------------------------------------'
uio_wrlabl, nc,'testlabel1',name='test1',date='now', outstr,ierr
help, outstr, ierr
;
print, 'uio_wrlabl -----------------------------------------------------------'
uio_wrlabl, nc,'testlabel2',name='test2',date='24.12.96',outstr,ierr
help, outstr, ierr
;
print, 'uio_wrlabl -----------------------------------------------------------'
uio_wrlabl, nc,'testlabel3',name='test3',date='Weihnachten', outstr,ierr
help, outstr, ierr
;
print, 'uio_wr ---------------------------------------------------------------'
val=replicate('42',20)
val(0)='zwei und vierzig'
termt=[['c1','Dies ist ein Testfeld'],['c2','Langer Kommentar']]
ntt=2
uio_wr, nc, val, 'number1', outstr, ierr, date='now', format='', $
  termt=termt, ntt=ntt
help, outstr, ierr
;
print, 'uio_wr ---------------------------------------------------------------'
val=-findgen(12)*1.2
uio_wr, nc, val, 'number2', outstr, ierr, date='now', format='*'
help, outstr, ierr
;
print, 'uio_wrlabl -----------------------------------------------------------'
uio_wrlabl, nc,'testlabel4',name='test4', outstr,ierr, termt=termt, ntt=ntt
help, outstr, ierr
;
print, 'uio_tabw -------------------------------------------------------------'
delvar, tab0, tab1
nlin=6
uio_tabw, ''         ,'testtable1', tab0, format="' I '",   outstr,ierr, $
  mode='append', /tableheader
help, outstr, ierr
uio_tabw, indgen(nlin),    'index', tab0, format='I3',   outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, findgen(nlin),   'x'    , tab0, format="'x=',F9.1", outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, findgen(nlin)^2, 'y'    , tab0, format='F9.1', outstr,ierr, $
  mode='append'
help, outstr, ierr
s=replicate('... and another',nlin)
s(0)='This is a comment'
s([1,2,3])=['a','b','c']
termt=[['c1','Hier kommt eine Kommentarspalte'],['c2','Langer Kommentar']]
ntt=2
uio_tabw, s             , 'com1' , tab0,                outstr,ierr, $
  mode='append', termt=termt, ntt=ntt
help, outstr, ierr
uio_tabw, ''         ,'testtable2', tab1, format='2X',   outstr,ierr, $
  mode='append', /tableheader
help, outstr, ierr
uio_tabw, indgen(nlin)+1,    'index', tab1, format='I7', name='Indexbereich',  outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, indgen(nlin),    'index2',tab1, format='*',   outstr,ierr, $
  mode='append', termt=['n1','Hier kommt die zweite Spalte'], ntt=1
help, outstr, ierr
uio_tabw, indgen(nlin)^2,  'isqr'  ,tab1, format='I4',   outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, indgen(nlin),    'in3'   ,tab1, format='I3',   outstr,ierr, $
  mode='insert',incolumn=2
help, outstr, ierr
;
help,/str,tab0
print,tab0.termt(*,0:4,0:tab0.ncol-1)
print, 'uio_tabc -------------------------------------------------------------'
uio_tabc, tab0, outstr,ierr, mode='reverse'
help, outstr, ierr
;
print, 'uio_tabm -------------------------------------------------------------'
uio_tabm, tab0, tab1, outstr,ierr, $
  /columnappend, tableheader=0, overwrite=0
help, outstr, ierr
help,/str,tab0
print,tab0.termt(*,0:4,0:tab0.ncol-1)
;
print, 'uio_wrtab ------------------------------------------------------------'
timewr0=systime(1)
uio_wrtab, nc, tab0, date='now', outstr,ierr
timewr1=systime(1)
help, outstr, ierr
;
print, 'uio_wrlabl -----------------------------------------------------------'
uio_wrlabl, nc,'testlabel5',name='test5', outstr,ierr
help, outstr, ierr
;
print, 'uio_closwr -----------------------------------------------------------'
uio_closwr, nc, outstr,ierr
;
; === Read file ===
;
print, 'uio_openrd -----------------------------------------------------------'
date=''
progrm=''
system=''
machin=''
osrels=''
osvers=''
hrdwar=''
langua=''
uio_openrd, nc,rfilename, outstr,ierr, $
  format=form, conversion=conv, date=date, program=progrm, $
  system=system, machine=machin, osrelease=osrels, osversion=osvers, $
  hardware=hrdwar, language=langua, $
  termt=termt,ntt=ntt
help, nc,rfilename,form,conv,date, $
      system,machin,osrels,osvers,hrdwar,langua, $
      progrm, termt,ntt
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdlabl -----------------------------------------------------------'
name=''
date=''
uio_rdlabl, nc,termt,ntt, ident,name=name,date=date, outstr,ierr
help, ident,name,date
help, outstr, ierr
;
print, 'uio_slhd -----------------------------------------------------------'
uio_slhd, nc, ['label','testlabel3'], termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdlabl -----------------------------------------------------------'
uio_rdlabl, nc,termt,ntt, ident,name=name,date=date, outstr,ierr
help, ident,name,date
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
print,termt(*,0:ntt-1)
help, outstr, ierr
;
;print, 'uio_skipda -----------------------------------------------------------'
;uio_skipda, nc,termt,ntt, outstr,ierr
print, 'uio_rd ---------------------------------------------------------------'
uio_rd, nc,termt,ntt, v, ident, outstr,ierr, name=name, date=date
help, v,ident,name,date
print,v
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
print,termt(*,0:ntt-1)
help, outstr, ierr
;
print, 'uio_rd ---------------------------------------------------------------'
uio_rd, nc,termt,ntt, v, ident, outstr,ierr, name=name, date=date
help, v,ident,name,date
print,v
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdlabl -----------------------------------------------------------'
uio_rdlabl, nc,termt,ntt, ident,name=name,date=date, outstr,ierr
help, ident,name,date
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdtab ------------------------------------------------------------'
timerd0=systime(1)
uio_rdtab, nc, termt,ntt, tab3,ident, outstr,ierr, $
           format=format, name=name, date=date
timerd1=systime(1)
help, outstr, ierr
;
print, 'uio_tabr -------------------------------------------------------------'
ident='index'
uio_tabr, val,ident, tab3, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
ident='x'
uio_tabr, val,ident, tab3, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print,val
ident='y'
uio_tabr, val,ident, tab3, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print,val
print, '---------'
ident='index2'
uio_tabr, val,ident,tab3, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print, '---------'
uio_tabr, val,ident, tab3, incolumn=6, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print, '---------'
ident='com2'
uio_tabr, val,ident, tab3, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdtab ------------------------------------------------------------'
uio_rdtab, nc, termt,ntt, tab4,ident, outstr,ierr, $
           format=format, name=name, date=date
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdlabl -----------------------------------------------------------'
uio_rdlabl, nc,termt,ntt, ident,name=name,date=date, outstr,ierr
help, ident,name,date
help, outstr, ierr
;
print, 'uio_closrd -----------------------------------------------------------'
uio_closrd, nc, outstr,ierr
;
;print, 'Writing:',timewr1-timewr0,' sec **************************************'
;print, 'Reading:',timerd1-timerd0,' sec **************************************'
