# --- Set metallicity shortcut ---
export MET='cifist2006_m40_a04_l5'
export GASEOS='gas'
#export MET='cifist2006_m40_a04_l5'
#export GASEOS='eos'
echo 'Metallicity' ${MET}

export EOSNAME=${GASEOS}_${MET}

echo '--- Change format from formatted (ASCII) to unformatted (binary): 8 byte ---'
uiocat -f unformatted -o ddat/${EOSNAME}.eos ${EOSNAME}_linuxr8.eos

echo '--- Transform double precision reals to single precision in ASCII file ---'
uiocat ${EOSNAME}_linuxr8.eos | sed -e "s/b=8 /b=4 /" > ${EOSNAME}_linuxr4.eos

echo '--- Change format from formatted (ASCII) to unformatted (binary): 4 byte ---'
uiocat -f unformatted -o ${EOSNAME}.eos ${EOSNAME}_linuxr4.eos
