! --- Compute contribution to radiative relaxation time scale from optical thickness ---
! --- Use masks (with value 0f 0.0 or 1.0)                                           ---
! --- 28.11.02 (B.F.)                                                                ---
!
!!$ thickmasknew=0.5+sign(0.5, dtauhalfnew - dtauthick_limit)
!
wthick=(min(dtauhalfnew/dtauthick_limit,1.0))**2
!
taucouple= &
  (1.0-thickmasknew) * ( wthick * ( (expl2t_mdtauhalfnew - dtauhalfnew) * &
                                    ((expl2t_mdtauhalfnew - dtauhalfnew) * &
                                     (expl2t_mdtauhalfold - dtauhalfold + 1.0) +&
                                                       2.0  * (expl2t_mdtauhalfold - dtauhalfold) &
                                    ) &
                                 ) / (dtauhalfnew + dtauhalfold) + &
                    (1.0-wthick) * 2.0*dtauhalfnew) + &
       thickmasknew  * (((exp_mdtauhalfnew - 1.0) * &
                         ((exp_mdtauhalfnew - 1.0) *  exp_mdtauhalfold + &
                                              2.0  * (exp_mdtauhalfold - 1.0) &
                         ) &
                        ) / (dtauhalfnew + dtauhalfold) &
                       )
