! --- Interpolated source function ---
Scenter=Sold + dtauhalfold/(dtauhalfold+dtauhalfnew)*(Snew-Sold)
!
!!$ thickmaskold=0.5+sign(0.5,dtauhalfold - dtauthick_limit)
!!$ thickmasknew=0.5+sign(0.5,dtauhalfnew - dtauthick_limit)
!
! --- Radiation transport in first interval ---
! 
! --- Change in reduced intensity ---
wS    =1.0 - (min(dtauhalfold/dtauthick_limit,1.0))**2
Sbound=wS * Sold + (1.0-wS) * Scenter
!
dIold=(1.0-thickmaskold) * ((Iold   - Sold) * (expl2t_mdtauhalfold - dtauhalfold) + &
                            (Sbound - Sold) / dtauhalfold * expl2t_mdtauhalfold    ) + &
           thickmaskold  * ((Iold + (Scenter - Sold)/dtauhalfold) * (exp_mdtauhalfold - 1.0)) 
!
deiold=dIold
!
! --- Update of reduced intensity itself ---
Icenterold=Iold + dIold
!
! --- Mapping of reduced boundary intensity ---
Icenternew=Icenterold + Scenter * (thickmaskold-thickmasknew)
!
! --- Radiation transport in second interval ---
!
! --- Change in reduced intensity ---
wS    =1.0-(min(dtauhalfnew/dtauthick_limit,1.0))**2
Sbound=wS * Snew + (1.0-wS) * Scenter
!
dInew=(1.0-thickmasknew) * ((Icenternew - Sbound) * (expl2t_mdtauhalfnew - dtauhalfnew) + &
                            (Snew       - Sbound) / dtauhalfnew * expl2t_mdtauhalfnew    ) + &
           thickmasknew  * ((Icenternew + (Snew - Scenter)/dtauhalfnew) * (exp_mdtauhalfnew - 1.0))
!
deinew=dInew
!
! --- Update of reduced intensity itself ---
Inew=Icenternew + dInew
