pro phoenix_opac_rdfile, filespec, data

; History:
;   2007-03-06 (HGL) rd_opac_data.pro
;   2007-09-20 (BF) rd_opac_data.pro -> phoenix_opac_rdfile.pro

  opac_layer = 128
  maxwl      = 20000L
  opacity_wl_block = {opac_data, wl:double(0.0), $          ; EOS: -1.0d0
       xc:fltarr(opac_layer), sc:fltarr(opac_layer), $      ; EOS: lg(T), lg(P)
       xd:fltarr(opac_layer), sd:fltarr(opac_layer), $      ; EOS: lg(rho), vad
       xal:fltarr(opac_layer), xml:fltarr(opac_layer), $    ; EOS: cp, S
       xnlte:fltarr(opac_layer)}                            ; EOS: 1.0e0
  data  = replicate(opacity_wl_block,maxwl)
  ndata = 0L

  get_lun, unit
  openr, unit, filespec, /swap_if_big_endian
;  openr, unit, filespec
  while not eof(unit) do begin
    readu, unit, opacity_wl_block
;    print, ndata
    data(ndata)=opacity_wl_block
    ndata = ndata+1
  endwhile
  close, unit

  data = temporary(data(0:ndata-1))
  print, 'rd_opac_data: read ', ndata, ' records from ', filespec

end ; phoenix_opac_rdfile
