;
; @lawe_start
;

; ======================================================================
if (not keyword_set(external_control)) then begin &$
  ;model ='lc0dg' & mtime =1000L & m=20 & n=150 &$
  ;model ='lc0dh' & mtime =400L & m=30 & n=340 &$
  ;model ='lc0gg' & mtime =1500L & m=15 & n=170 &$
  ;model ='lc0gg' & mtime =1500L & m=15 & n=170 &$
  ;model ='lc0gg' & mtime =1500L & m=25 & n=145 &$
  ;model ='lc0gg' & mtime =1500L & m=20 & n=150 ; --- cm04 --- &$
  ;
  ;id='_cm01' &$
  ;id='_cm04' &$
  ;omegaSqrSign=-1.0 & nzinter=1000L & gridopt='opt2' & VariableSet='vx,vz' &$
  ;
  ;freq=(dindgen(2000)+50.0)/1000000.0 & hwavenumber=lindgen(12)+1L &$
  ;freq=(dindgen(5000)+100.0)/2500000.0 & hwavenumber=lindgen(20)+1L &$
  ;freq=(dindgen(1000)+10.0)/1000000.0 & hwavenumber=lindgen(8)+1L &$
  ;freq=(dindgen(2800)+10.0)/2000000.0 & hwavenumber=lindgen(25)+1L &$
  ;
  model ='lc0gg' & mtime =1500L & m=0 & n=199 &$
  ;
  ;id='_om01' &$
  ;omegaSqrSign=1.0 & nzinter=1000L & gridopt='opt2_b' & VariableSet='divv,vz' &$
  ;id='_om02' &$
  ;omegaSqrSign=1.0 & nzinter=1000L & gridopt='opt2_b' & VariableSet='vx,vz' &$
  id='_om03' &$
  omegaSqrSign=1.0 & nzinter=1000L & gridopt='opt2_b' & VariableSet='divv,vz' &$
  ;
  ;freq=(dindgen(2000)+10.0)/4000.0 & hwavenumber=lindgen(31)+1L &$
  freq=(dindgen(5000)+25.0)/10000.0 & hwavenumber=lindgen(31)+1L &$
endif
; ======================================================================

grav  =10.0^7.695
xtotal=3.3D+09
restore, model + '_seq_10.sav', /verbose

savefile=model + '_mode' + id + '_nz-' + trim(string(nzinter)) + '_gridopt-' + gridopt + '_var-' + VariableSet + '.sav'

z     =seqavg('xc3',seq,mtime=mtime)*1e8
csound=seqavg('c'  ,seq,mtime=mtime)*1e5
s     =seqavg('s'  ,seq,mtime=mtime)*1e9
dsdz  =deriv(z,s)
Gamma1=avg(seqavg('Gamma1',seq,mtime=mtime))
cp    =avg(seqavg('cp'    ,seq,mtime=mtime))
delta =avg(seqavg('delta' ,seq,mtime=mtime))
omegaBVsqrOgrav=delta/cp*dsdz

z              =z[m:n]
csound         =csound[m:n]
omegaBVsqrOgrav=omegaBVsqrOgrav[m:n]

time0=systime(1)

lawe, mo, $
  model=model, $
  z=z, csound=csound, omegaBVsqrOgrav=omegaBVsqrOgrav, $
  Gamma1=Gamma1, grav=grav, xtotal=xtotal, $
  freq=freq, hwavenumber=hwavenumber, $
  omegaSqrSign=omegaSqrSign, nzinter=nzinter, gridopt=gridopt, VariableSet=VariableSet

print, 'Total time: ', systime(1)-time0

save, mo, file=savefile, /verbose
