n=1000000L
k =randomu(seed, n, /double)
w1=randomu(seed, n, /double)
w2=randomu(seed, n, /double)
x=findgen(n)

;m1=(k gt 0.5) & m2=1.0-m1

t =0.9D+00
;i1=where(k gt t, n1) & i2=where(k le t, n2)
;i1=where(w1 gt t, n1) & i2=where(w1 le t, n2)
;i1=where((w1-mean(w1))*(w2-mean(w2)) gt 0.0, n1, COMPLEMENT=i2, NCOMPLEMENT=n2)
i1=where((w1 gt t) and (w2 gt t), n1, COMPLEMENT=i2, NCOMPLEMENT=n2)

print, t, n1, n2

a01=total(w1*k)/total(w1)
a02=total(w2*k)/total(w2)
e0=abs(a01-a02)

e1=0.0D+00
m1=fltarr(n)
if (n1 ge 1) then begin &$
  a11=total(w1[i1]*k[i1])/total(w1[i1]) &$
  a12=total(w2[i1]*k[i1])/total(w2[i1]) &$
  e1=e1 + abs(a11-a12)*n1 &$
  m1[i1]=1.0 &$
endif
if (n2 ge 1) then begin &$
  a21=total(w1[i2]*k[i2])/total(w1[i2]) &$
  a22=total(w2[i2]*k[i2])/total(w2[i2]) &$
  e1=e1 + abs(a21-a22)*n2 &$
endif

e1=(e1/n)

print, e0, e1, abs(a11-a12), abs(a21-a22)

stop

plotlines, x, [[k], [w1], [w2], [m1]], linecol=[!ctv.white, !ctv.yellow, !ctv.red, !ctv.blue], psym=3

plotlines, x, m1*0.0+t, /over, linecol=!ctv.gray, linestyle=1
plotlines, x, m1*0.0+a01, /over
plotlines, x, m1*0.0+a02, /over, linestyle=2


if (n1 ge 1) then begin &$
  ;plotlines, x[i1], k[i1], psym=2, /over, linecol=!ctv.magenta &$
  plotlines, x, m1*0.0+a11, /over, linecol=!ctv.magenta &$
  plotlines, x, m1*0.0+a12, /over, linecol=!ctv.magenta, linestyle=2 &$
endif
if (n2 ge 1) then begin &$
  ;plotlines, x[i2], k[i2], psym=2, /over, linecol=!ctv.orange &$
  plotlines, x, m1*0.0+a21, /over, linecol=!ctv.orange &$
  plotlines, x, m1*0.0+a22, /over, linecol=!ctv.orange, linestyle=2 &$
endif
