conv='' & wfilename='uiotestfile.txt' & form='formatted'
;conv='ieee_4' & wfilename='uiotestfile_'+conv+'.dat' & form='unformatted'
rfilename=wfilename
;rfilename='uiotestfile.txt'
;
; === Write file ===
;
print, 'uio_openwr -----------------------------------------------------------'
uio_openwr, nc,wfilename, outstr,ierr, progrm='uio_wrtab_test', form=form,conv=conv
help, outstr, ierr
;
print, 'uio_wrlabl -----------------------------------------------------------'
uio_wrlabl, nc,'testlabel1',name='test1',date='now', outstr,ierr
help, outstr, ierr
;
print, 'uio_tabw -------------------------------------------------------------'
delvar, tab0, tab1
uio_tab0, tab0, nlinmx=1000
nlin=1000
uio_tabw, ''         ,'testtable1', tab0, format="' | '",   outstr,ierr, $
  mode='append', /tableheader
help, outstr, ierr
uio_tabw, indgen(nlin),    'index', tab0, format='I4',   outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, findgen(nlin),   'x'    , tab0, format="'x=',F9.0", outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, findgen(nlin)^2, 'y'    , tab0, format='F9.0', outstr,ierr, $
  mode='append'
help, outstr, ierr
s=replicate('& another',nlin)
s(0)='comment'
s([1,2,3])=['a','b','c']
uio_tabw, s             , 'com1' , tab0,                outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, ''         ,'testtable2', tab1, format='2X',   outstr,ierr, $
  mode='append', /tableheader
help, outstr, ierr
uio_tabw, lindgen(nlin)+1,    'index', tab1, format='I4', name='Indexbereich',  outstr,ierr, $
  mode='append'
help, outstr, ierr
uio_tabw, lindgen(nlin),    'index2',tab1, format='*',   outstr,ierr, $
  mode='append', termt=['n1','Hier kommt die zweite Spalte'], ntt=1
help, outstr, ierr
uio_tabw, lindgen(nlin)^2,  'isqr'  ,tab1, format='I9',   outstr,ierr, $
  mode='append'
help, outstr, ierr
;
print, 'uio_tabm -------------------------------------------------------------'
uio_tabm, tab0, tab1, outstr,ierr, $
  /columnappend, comparehead=0, tableheader=0, overwrite=0
help, outstr, ierr
help,/str,tab0
;print,tab0.termt(*,0:4,0:tab0.ncol-1)
;
;print,tab0.termt(*,0:4,0:tab0.ncol-1)
;print, 'uio_tabc -------------------------------------------------------------'
;uio_tabc, tab0, outstr,ierr, mode='sort', incol=4
;help, outstr, ierr
;
print, 'uio_wrtab ------------------------------------------------------------'
timewr0=systime(1)
uio_wrtab, nc, tab0, date='now', outstr,ierr
timewr1=systime(1)
help, outstr, ierr
;
print, 'uio_closwr -----------------------------------------------------------'
uio_closwr, nc, outstr,ierr
;
; === Read file ===
;
print, 'uio_openrd -----------------------------------------------------------'
date=''
progrm=''
system=''
machin=''
osrels=''
osvers=''
hrdwar=''
langua=''
uio_openrd, nc,rfilename, outstr,ierr, $
  format=form, conversion=conv, date=date, program=progrm, $
  system=system, machine=machin, osrelease=osrels, osversion=osvers, $
  hardware=hrdwar, language=langua, $
  termt=termt,ntt=ntt
help, nc,rfilename,form,conv,date, $
      system,machin,osrels,osvers,hrdwar,langua, $
      progrm, termt,ntt
help, outstr, ierr
;
print, 'uio_rdhd -----------------------------------------------------------'
uio_rdhd, nc, termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdlabl -----------------------------------------------------------'
name=''
date=''
uio_rdlabl, nc,termt,ntt, ident,name=name,date=date, outstr,ierr
help, ident,name,date
help, outstr, ierr
;
print, 'uio_slhd -----------------------------------------------------------'
uio_slhd, nc, ['table',''], termt,ntt, outstr,ierr
help, outstr, ierr
;
print, 'uio_rdtab ------------------------------------------------------------'
timerd0=systime(1)
uio_rdtab, nc, termt,ntt, tab2,ident, outstr,ierr, $
           format=format, name=name, date=date
timerd1=systime(1)
help, outstr, ierr
;
print, 'uio_tabr -------------------------------------------------------------'
ident='index'
uio_tabr, val,ident, tab2, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print, '---------'
ident='x'
uio_tabr, val,ident, tab2, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
;print,val
print, '---------'
ident='y'
uio_tabr, val,ident, tab2, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
;print,val
print, '---------'
ident='index2'
uio_tabr, val,ident,tab2, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print, '---------'
uio_tabr, val,ident, tab2, incolumn=5, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
print, '---------'
ident='com1'
uio_tabr, val,ident, tab2, outcolumn=outcolumn, outstr,ierr
help, ident, outcolumn, val, outstr, ierr
;
print, 'uio_closrd -----------------------------------------------------------'
uio_closrd, nc, outstr,ierr
;
;print, 'Writing:',timewr1-timewr0,' sec **************************************'
;print, 'Reading:',timerd1-timerd0,' sec **************************************'
