program str_test
!------------------------------------------------------------------------------
! --- 14-Apr-1998 15:17:06 ---
!------------------------------------------------------------------------------
use str_module
!
implicit none
!
! --- Local variables ---
integer                                 :: ierr, i
character*(80)                          :: s0, s1, s2, s3, s4, s5, s6, s7
!------------------------------------------------------------------------------
!
write(6,*)
write(6,'(A)') 'str_cut'
write(6,'(A)') '======='
write(6,*)
!
s0=''
call str_cut(s0, s1,s2)
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')|('// trim(s2) //')'
!
s0='a'
call str_cut(s0, s1,s2)
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')|('// trim(s2) //')'
!
s0=' b'
call str_cut(s0, s1,s2)
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')|('// trim(s2) //')'
!
s0='a b'
call str_cut(s0, s1,s2)
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')|('// trim(s2) //')'
!
s0='Halli   Hallo'
call str_cut(s0, s1,s2)
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')|('// trim(s2) //')'
!
s0='rho_mean_net'
call str_cut(s0, s1,s2, separator='_')
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')|('// trim(s2) //')'
!
!
write(6,*)
write(6,'(A)') 'str_count'
write(6,'(A)') '========='
write(6,*)
!
s0='test_(#08-10#).dat'
do i=1,4
  call str_count(s0, s1,s2,ierr=ierr)
  write(6,'(A)') trim(s0)
  write(6,'(A)') '  => ' // trim(s1)
  write(6,'(A)') '     ' // trim(s2)
  write(6,*) ierr
  s0=s1
end do ! i
!
s0='test_(#08#).dat'
do i=1,2
  call str_count(s0, s1,s2,ierr=ierr)
  write(6,'(A)') trim(s0)
  write(6,'(A)') '  => ' // trim(s1)
  write(6,'(A)') '     ' // trim(s2)
  write(6,*) ierr
  s0=s1
end do ! i
!
s0='test_(#start,10-12,end#).dat'
do i=1,7
  write(6,'(A)') trim(s0)
  call str_count(s0, s0,s2,ierr=ierr)
  write(6,'(A)') '  => ' // trim(s0)
  write(6,'(A)') '     ' // trim(s2)
  write(6,*) ierr
end do ! i
!
s0='test_(#start,10-12,end#).dat'
do i=1,7
  write(6,'(A)') trim(s0)
  call str_count(s0, s0,s2,ierr=ierr,step=-1)
  write(6,'(A)') '  => ' // trim(s0)
  write(6,'(A)') '     ' // trim(s2)
  write(6,*) ierr
end do ! i
!
s0='test_(#08.dat'
call str_count(s0, s1,s2,ierr=ierr)
write(6,'(A)') trim(s0)
write(6,'(A)') '  => ' // trim(s1)
write(6,'(A)') '     ' // trim(s2)
write(6,*) ierr
!
s0='test_(#8-10#).dat'
call str_count(s0, s1,s2,ierr=ierr)
write(6,'(A)') trim(s0)
write(6,'(A)') '  => ' // trim(s1)
write(6,'(A)') '     ' // trim(s2)
write(6,*) ierr
!
s0='test_(#+-*#).dat'
call str_count(s0, s1,s2,ierr=ierr)
write(6,'(A)') trim(s0)
write(6,'(A)') '  => ' // trim(s1)
write(6,'(A)') '     ' // trim(s2)
write(6,*) ierr
!
s0='test.dat'
call str_count(s0, s1,s2,ierr=ierr)
write(6,'(A)') trim(s0)
write(6,'(A)') '  => ' // trim(s1)
write(6,'(A)') '     ' // trim(s2)
write(6,*) ierr
!
s0='test_(#12-10#).dat'
call str_count(s0, s1,s2,ierr=ierr)
write(6,'(A)') trim(s0)
write(6,'(A)') '  => ' // trim(s1)
write(6,'(A)') '     ' // trim(s2)
write(6,*) ierr
!
write(6,*)
write(6,'(A)') 'str_sub'
write(6,'(A)') '======='
write(6,*)
!
s0='aaa'
s1='a'
s2='b'
call str_sub(s0,s1,s2, s3)
write(6,'(A)') trim(s0) // ' : ' // trim(s1) // ' -> ' // trim(s2) // &
                          ' => ' // trim(s3)
!
s0='aaa'
s1='a'
s2='aa'
call str_sub(s0,s1,s2, s3)
write(6,'(A)') trim(s0) // ' : ' // trim(s1) // ' -> ' // trim(s2) // &
                          ' => ' // trim(s3)
!
s0='aaa'
s1='a'
s2=''
call str_sub(s0,s1,s2, s3)
write(6,'(A)') trim(s0) // ' : ' // trim(s1) // ' -> ' // trim(s2) // &
                          ' => ' // trim(s3)
!
s0='(q)_mean'
s1='(q)'
s2='rho'
call str_sub(s0,s1,s2, s3)
write(6,'(A)') trim(s0) // ' : ' // trim(s1) // ' -> ' // trim(s2) // &
                          ' => ' // trim(s3)
!
write(6,*)
write(6,'(A)') 'str_lowercase'
write(6,'(A)') '============='
write(6,*)
!
s0='Hello. What''s going on?'
call str_lowercase(s0, s1)
write(6,'(A)') '('// trim(s0) //') => ('// trim(s1) //')'
!
write(6,*)
write(6,'(A)') 'str_pathandname'
write(6,'(A)') '==============='
write(6,*)
!
s0=''
s1='file.dat'
call str_pathandfile(s0,s1, s2)
write(6,'(A)') '('// trim(s0) // ') + (' // trim(s1) // ') => (' // &
               trim(s2) // ')'
!
s0='bak'
s1='file.dat'
call str_pathandfile(s0,s1, s2)
write(6,'(A)') '('// trim(s0) // ') + (' // trim(s1) // ') => (' // &
               trim(s2) // ')'
!
s0='bak/'
s1='file.dat'
call str_pathandfile(s0,s1, s2)
write(6,'(A)') '('// trim(s0) // ') + (' // trim(s1) // ') => (' // &
               trim(s2) // ')'
!
s0='[bak]'
s1='file.dat'
call str_pathandfile(s0,s1, s2)
write(6,'(A)') '('// trim(s0) // ') + (' // trim(s1) // ') => (' // &
               trim(s2) // ')'
!
write(6,*)
write(6,'(A)') 'str_identcompose'
write(6,'(A)') '================'
write(6,*)
!
s0='rho'
s1='f06'
s2='f15'
call str_identcompose(s0, s3, source=s1, defsource=s2)
write(6,"(A)") "`"// trim(s0) // "' + `" // trim(s1) // "' + `" // trim(s2) &
               // "' => `" // trim(s3) // "'"
!
s0='rho'
s1='f15'
s2='f15'
call str_identcompose(s0, s3, source=s1, defsource=s2)
write(6,"(A)") "`"// trim(s0) // "' + `" // trim(s1) // "' + `" // trim(s2) &
               // "' => `" // trim(s3) // "'"
!
s0='rho'
s1='rms'
s2='mean'
call str_identcompose(s0, s3, xmean=s1, tmean=s2)
write(6,"(A)") "`"// trim(s0) // "' + `" // trim(s1) // "' + `" // trim(s2) &
               // "' => `" // trim(s3) // "'"
!
s0='v_3'
s1='tau'
s2='mean'
call str_identcompose(s0, s3, iso=s1, xmean=s2)
write(6,"(A)") "`"// trim(s0) // "' + `" // trim(s1) // "' + `" // trim(s2) &
               // "' => `" // trim(s3) // "'"
write(6,*)
write(6,'(A)') 'str_identparse'
write(6,'(A)') '=============='
write(6,*)
!
s0='rho_iz_xmean_trms_sf06_000'
call str_identparse(s0, s1, &
                    iso=s2, xmean=s3, tmean=s4, &
                    source=s5, &
                    add1=s6, add2=s7)
write(6,"(A)") "`"// trim(s0) // "' => "
write(6,"(A)") "`"// trim(s1) // "' , `" // &
                     trim(s2) // "' , `" // trim(s3) // "' , `" // &
                     trim(s4) // "' , `" // trim(s5) // "' , `" // &
                     trim(s6) // "' , `" // trim(s7) // "'"
!
s0='rho_itau_xmean_000_111_222'
call str_identparse(s0, s1, &
                    iso=s2, xmean=s3, tmean=s4, &
                    source=s5, defsource='f15', &
                    add1=s6, add2=s7)
write(6,"(A)") "`"// trim(s0) // "' => "
write(6,"(A)") "`"// trim(s1) // "' , `" // &
                     trim(s2) // "' , `" // trim(s3) // "' , `" // &
                     trim(s4) // "' , `" // trim(s5) // "' , `" // &
                     trim(s6) // "' , `" // trim(s7) // "'"
!
s0='rho_top__iz_xmin_tmean_000_111_222'
call str_identparse(s0, s1, &
                    iso=s2, xmean=s3, tmean=s4, &
                    source=s5, defsource='', &
                    add1=s6, add2=s7)
write(6,"(A)") "`"// trim(s0) // "' => "
write(6,"(A)") "`"// trim(s1) // "' , `" // &
                     trim(s2) // "' , `" // trim(s3) // "' , `" // &
                     trim(s4) // "' , `" // trim(s5) // "' , `" // &
                     trim(s6) // "' , `" // trim(s7) // "'"
!
write(6,*)
write(6,'(A)') 'str_rightnumber'
write(6,'(A)') '==============='
write(6,*)
!
s0=''
call str_rightnumber(s0, s1, i)
write(6,"(A,I3)") "`"// trim(s0) // "' => `" // &
                     trim(s1) // "' , " ,i
!
s0='mean'
call str_rightnumber(s0, s1, i)
write(6,"(A,I3)") "`"// trim(s0) // "' => `" // &
                     trim(s1) // "' , " ,i
!
s0='mean10'
call str_rightnumber(s0, s1, i)
write(6,"(A,I3)") "`"// trim(s0) // "' => `" // &
                     trim(s1) // "' , " ,i
!
s0='3'
call str_rightnumber(s0, s1, i)
write(6,"(A,I3)") "`"// trim(s0) // "' => `" // &
                     trim(s1) // "' , " ,i
!
end program str_test
